Package ghidra.app.util.viewer.proxy

# Class CodeUnitProxy

java.lang.Object
ghidra.app.util.viewer.proxy.ProxyObj<CodeUnit>
ghidra.app.util.viewer.proxy.CodeUnitProxy

public class CodeUnitProxy extends ProxyObj<CodeUnit>
Stores information about a code unit in a program.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeUnitProxy(ListingModel model, Program program, CodeUnit cu)`
  Construct a proxy for a code unit

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(Address a)`
  Returns true if the proxy object of this class contains the given address.
  `CodeUnit`
  `getObject()`
  Returns the object that this proxy represents or null if the object no longer exists.

  ### Methods inherited from class ghidra.app.util.viewer.proxy.ProxyObj

  `getListingLayoutModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CodeUnitProxy

    public CodeUnitProxy(ListingModel model, Program program, CodeUnit cu)
    Construct a proxy for a code unit
    Parameters:
      `model` - the model
      `program` - the program containing the code unit
      `cu` - the code unit to proxy.

- ## Method Details

  - ### getObject

    public CodeUnit getObject()
    Description copied from class: `ProxyObj`
    Returns the object that this proxy represents or null if the object no longer exists.
    Specified by:
      `getObject` in class `ProxyObj<CodeUnit>`
    Returns:
      the object that this proxy represents or null if the object no longer exists.

  - ### contains

    public boolean contains(Address a)
    Description copied from class: `ProxyObj`
    Returns true if the proxy object of this class contains the given address.
    Specified by:
      `contains` in class `ProxyObj<CodeUnit>`
    Parameters:
      `a` - the address
    Returns:
      true if the proxy object of this class contains the given address.